如何让grunt支持harmony特性?
发布于 5 年前 作者 hwoarangzk 2731 次浏览 最后一次编辑是 4 年前 来自 问答

我写了一个grunt任务,简单地说就是一个基于koa的服务,我电脑的node版本是0.12.7的,但直接grunt task的时候说不支持generator。怎么样才能让grunt支持harmony特性呢?

6 回复

node命令执行有参数,支持harmony

@i5ting 我知道通过node --harmony grunt全局目录/grunt task可以正常运行,但是没有一个方法可以直接让grunt支持es6的么?

@hwoarangzk 直接babel编译吧,没有啥更好的方法

另外gulp比grunt好

@i5ting 我也这么觉得 grunt没有gulp简洁清楚 自豪地采用 CNodeJS ionic

升级你的node版本到4+

@fish 我现在是0.12.7的,升级到4+,不会有啥原有的功能不能用的情况吧?

回到顶部